Skip to main content

Webhook Health Check POST

API Description

Push a HEALTH_CHECK message to a partner's push endpoint (webhook) to test the readiness and security of the webhook. Refer to Configuring Webhooks for additional information.

Request

POST <partner-registered-webhook>
Path Example
POST {url} HTTP/1.1

Request Headers

NameInput
Content-Type
REQUIRED
Business-Signature
REQUIRED
Business-Timestamp
REQUIRED
note

The Business-Signature value in a health check request is intentionally invalid. Partners must respond with 400 Bad Request when signature validation fails.

Example Request Headers
POST https://www.example.com/push_endpoint HTTP/1.1
Content-Type: application/json
Business-Signature: 9JQZfdnUnSMyH12o4/xPUmIv1hux2IWVrt4fdHgstPT19podD9ihPD4bIb5K2qtGCosPDDLq/J6thjv7LNE7PA==
Business-Timestamp: 1649778478749

Request Body

NameOutput
type
REQUIRED
id
REQUIRED
createdDate
REQUIRED
Example Request Body (raw JSON)
{
"type": "HEALTH_CHECK",
"id": "498ed60c-883b-4b81-a9c1-1c262ddc69d2_HEALTH",
"createdDate": "2026-04-10T12:00:00.000Z"
}

Response

ConditionExpected Response
Business-Signature is valid204 No Content
Business-Signature is invalid400 Bad Request

Response Body

SHOULD be empty